org.apache.storm.trident.operation.impl

## Class FlatMapFunctionExecutor

- java.lang.Object
- - org.apache.storm.trident.operation.BaseOperation
  - - org.apache.storm.trident.operation.impl.FlatMapFunctionExecutor

- All Implemented Interfaces:
    Serializable, EachOperation, Function, Operation

      public class FlatMapFunctionExecutor
      extends BaseOperation
      implements Function

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlatMapFunctionExecutor(FlatMapFunction function)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleanup()` No-op implemnation.
    `void` | `execute(TridentTuple tuple, TridentCollector collector)` Performs the function logic on an individual tuple and emits 0 or more tuples.
    `void` | `prepare(Map<String,Object> conf, TridentOperationContext context)` No-op implementation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FlatMapFunctionExecutor

          public FlatMapFunctionExecutor(FlatMapFunction function)

  - ### Method Detail

    - #### prepare

          public void prepare(Map<String,Object> conf,
                              TridentOperationContext context)

      Description copied from class: `BaseOperation`

      No-op implementation.

      Specified by:
        `prepare` in interface `Operation`
      Overrides:
        `prepare` in class `BaseOperation`
      Parameters:
        `conf` - the Storm configuration map
        `context` - the operation context which provides information such as the number of partitions in the stream, and the current partition index. It also provides methods for registering operation-specific metrics.
      See Also:
        `TridentOperationContext`

    - #### cleanup

          public void cleanup()

      Description copied from class: `BaseOperation`

      No-op implemnation.

      Specified by:
        `cleanup` in interface `Operation`
      Overrides:
        `cleanup` in class `BaseOperation`

    - #### execute

          public void execute(TridentTuple tuple,
                              TridentCollector collector)

      Description copied from interface: `Function`

      Performs the function logic on an individual tuple and emits 0 or more tuples.

      Specified by:
        `execute` in interface `Function`
      Parameters:
        `tuple` - The incoming tuple
        `collector` - A collector instance that can be used to emit tuples

Copyright © 2021 The Apache Software Foundation. All rights reserved.